Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#0 Re : -1 »  Booter Ubuntu 8.04 via GRUB2 (version EFI) » Le 19/08/2008, à 14:51

dranfi
Réponses : 24

En fait j'ai résolu la moitié du problème, les dépôts CVS sont dépassés, il faut passer par SVN avec cette commande:

svn co svn://svn.sv.gnu.org/grub/trunk/grub2

(il faut avoir subversion d'installé :

sudo apt-get install subversion

).
De plus il faut rajouter le module normal à l'étape "grub-mkimage" (en fait dans cette étape, on choisi les modules à installer directement dans GRUB).
Pour moi ça donne:

./grub-mkimage -d . -o grub.efi gpt hfsplus fat ntfs ext2 normal chain ls boot configfile"

(j'espère ne pas en avoir oubliés), là GRUB se lance et j'ai un menu, j'ai pu chainloadé OS X, mais pas démarrer Ubuntu (le noyau générique est-il compatible EFI?)

#1 Re : -1 »  Booter Ubuntu 8.04 via GRUB2 (version EFI) » Le 19/08/2008, à 21:18

dranfi
Réponses : 24

Dans quel but? Démarrer plus rapidement : il faut au moins 10-15 s pour arriver à GRUB sur la version classique, en mode EFI, 3 s. Autre chose, on évite des surcouches de compatibilités, le noyau tourne de manière plus proche de la machine. Mais dans l'absolu, il n'y a pas spécialement d'intérêt.

#2 -1 »  Station internet dans un lieu publique. » Le 24/01/2010, à 21:21

dranfi
Réponses : 39

Bonjour,
Je souhaiterais installer une "station internet", c'est à dire une machine ne permettant uniquement l'accès à internet pour un hôtel.
Je souhaite avoir firefox 3.5 et flash (hélas, il est trop répandu pour être négligé) et rien d'autre d'installé (enfin bien sûr le noyau, tout les serveurs internes, le serveur X et un gestionnaire de fenêtre) et qu'on ne puisse rien installer sur la machine.
Bon pour l'installation de logiciels sur la machine, un simple compte utilisateur règle le problème.
Le problème c'est plutôt le gestionnaire de fenêtre (je souhaite même pas avoir openoffice.org). Il me faut quelque chose de simple, qui démarre automatiquement la session (sans mot de passe ni intervention de l'utilisateur) sur un compte utilisateur (voir invité).

Voilà. Merci beaucoup.

#3 Re : -1 »  Station internet dans un lieu publique. » Le 24/01/2010, à 22:30

dranfi
Réponses : 39

Oui, bien sûr. Mais comme on a la responsabilité de la connection, on veut éviter le téléchargement
1 Pour pas saturer la bande passante
2 pour pas avoir de problèmes (merci HADOPI).
Pour la messagerie : ya ebuddy. Je doute fort que la clientèle connaisse l'existence de SSH.

#4 Re : -1 »  Station internet dans un lieu publique. » Le 25/01/2010, à 23:03

dranfi
Réponses : 39

Je suis d'accord que Internet n'est pas que le Web, mais je souhaite installer quelque chose de simple pour que la pluspard des utilisateurs ne soient pas perdu. Je retiens l'idée de nettoyer le /home à chaque démarrage, d'installer un client de messagerie instantanée, de déconnecter automatiquement l'utilisateur après x minutes d'inactivité. Je crois qu'effectivement XFCE est un bon choix. Pour protéger la machine je vais utiliser un mot de passe BIOS (fo pas non plus exagérer les protections non plus).

#5 Re : -1 »  Station internet dans un lieu publique. » Le 27/01/2010, à 09:05

dranfi
Réponses : 39

Enfin d'accord ya les sources de ChromeOS, mais je me vois mal tout compiler à la main!

#6 Re : -1 »  [Résolu]Désinstaller Grub sur MacBook » Le 21/09/2008, à 08:11

dranfi
Réponses : 10

Boot sur Ubuntu et lance cette commande :

sudo dd if=/dev/zero of=/dev/sda2 bs=446 count=1

. Assure toi que sda2 correspond bien à ta partition OS X. Amuse-toi bien. Sinon, tu peux faire un tour sur mon tuto si tu veux en savoir plus sur les macintels : http://doc.ubuntu-fr.org/tutoriel/comme … n_macintel.

#7 Re : -1 »  [Résolu]Désinstaller Grub sur MacBook » Le 21/09/2008, à 18:23

dranfi
Réponses : 10

Pasqu'il faut soit l'installer dans le MBR soit sur une des 4 premières partitions primaires, et que si on installe GRUB sur une partition NTFS, on ne peut plus démarrer Windows et que si on l'installe sur la partition EFI (Fat32), celle-ci devient illisible (empêchant d'effectuer des mises à jours de l'EFI). Sans compter que si l'on installe GRUB dans le MBR et que l'on choisis via rEFIt de booter sur Windows, on démarrera sur GRUB au lieu de Windows (car lorsqu'on démarre un PC, avec un BIOS, le code du MBR est exécuté, si le code est "standard", alors le code de la partition active est exécuté, sinon si on a installé un bootloader, seul le bootloader s'éxécute et la partition active n'est pas lancé).
Si tu m'as lus jusqu'ici, tu vas te demander pourquoi on installe pas GRUB sur la partition linux. Et bien parce qu'elle n'apparait pas dans le cadre de mon tuto dans le MBR (5eme partoche). Il reste donc que OS X. Et le "boot code" d'une partition hfs+ ne sert visiblement à rien (le noyau mach est amorcé directement par "/usr/standalone/i386/boot.efi" qui est directement amorcé par l'EFI).
Voilà la raison, j'espère être compréhensible. Penses-tu que je doive donner cette explication sur mon tuto?

#8 Re : -1 »  Résolu - Comment installer gvim ? » Le 18/09/2008, à 18:56

dranfi
Réponses : 10

Pour linux, je peux pas t'aider, mais par contre j'ai entendu dire que OS X est nettement plus stable (tu peux essayer 10.1, mais si tu veux la meilleure compatibilité avec les applis actuelle essaye la 10.4), n'oublie pas que OS X est un unix et que l'on peut y compiler la pluspard des applis linux. Le soucis pour toi sous OS 9 ou OS 8 c'est que les applis dispos pour ces OS sont très vieilles et que aucune nouvelle ne sera développé, ce qui rend la machine pas très intéressante.

#9 Re : -1 »  [RESOLU] EXT3 et Leopard avec Ext2FS » Le 12/09/2008, à 16:07

dranfi
Réponses : 12

Peut-être le convertir en EXT2 (désactiver la journalisation)? Aussi essaye de voir ce que ça donne en root (Beaucoups de dossiers appartiennent à l'utilisateur root).

#10 Re : -1 »  Partition Ubuntu ne monte pas dans OSX » Le 24/10/2008, à 03:25

dranfi
Réponses : 9

Par défaut OS X ne supporte pas l'Ext2/3 (format de partition linux), il faut installer des "pilotes" : voir EXT2FS (je sais pas s'il supporte les dernières versions d'OS X).

#11 Re : -1 »  Triple boot sans effacer Windows Boot Camp » Le 21/09/2008, à 08:14

dranfi
Réponses : 10

Fais un tour sur mon tuto pour mieux comprendre les multis-boot sur les macintels : http://doc.ubuntu-fr.org/tutoriel/comme … n_macintel

#12 Re : -1 »  Triple boot sans effacer Windows Boot Camp » Le 29/09/2008, à 05:59

dranfi
Réponses : 10

On peut avec VMWare Fusion virtualiser Win ou linux, mais faut bidouiller (par défaut, seule la 3 partition du disque (celle après OS X) sera visible, et elle à intérêt d'être active), sinon (si tu veux pouvoir lancer la 4eme partition), il faut bidouiller le fichier de configuration du disque dur virtuel, de façon à cette partition soit accessible. Attention, le disque ne sera accessible qu'en MBR (pas de GPT, ce qui fait que pour un quadri-boot avec mon tuto, linux, n'est pas virtualisable, car au-delà des 4 premières partitions) et la partition OS X n'est pas non plus accessible. Voilà. désolé de ne pas pouvoir te dire la manip : je suis pressé.
Salut

#13 Re : -1 »  i phone » Le 05/09/2008, à 04:47

dranfi
Réponses : 35

Regarde sur http://blog.iphone-dev.org/ (et cherche QuickPwn) pour un jailbreak rapide, sinon si tu veux un firmware personalisé (ce dont je pense que tu n'as pas besoin), va sur http://www.winpwn.com (c'est pour windows, hélàs). Question bête quel est la version du firmware de ton iPhone (1.1.3 1.1.4 2.0 2.0.1 2.0.2), si 2.0 ou plus c'est bon avec QuickPwn, mais avec 1.1.4 utilise plustôt iliberty+ : http://george.insideiphone.com/.
Sinon, pour le bootloader ne te fais pas de soucis (pour toi, 4.6 si iPhone V1 ou 5.8 si iPhone 3G), ça concerne le désimlockage (unlock), ce qui n'a pas l'air d'être ton problème. J'espère t'avoir aidé. ++

#14 Re : -1 »  i phone » Le 06/09/2008, à 07:12

dranfi
Réponses : 35

Tu peux quand même essayer iliberty+ sans iTunes (ça marchera s'il inclu le "MobileDevice"). Pour ce qui concerne iTunes, les 7.5 ou 7.6 feront l'affaire (pas besoin du 7.7 pour le fw 1.1.3) Sinon, pour ce qui concerne les firmwares, les 1.1.3 et 1.1.4 sont très similaires et les jailbreaks du 1.1.4 sont compatibles avec le 1.1.3 (pas le contraire, cf soft-update méthode); les 2.0, 2.0.1 et 2.0.2 sont similaires et ajoutes l'AppStore, la calculatrice scientifique, microsoft exchange mais enlèvent la compatibilité linux (ie : synchronisation de la musique).
J'espère t'avoir aidé.++

#15 Re : -1 »  i phone » Le 07/09/2008, à 06:11

dranfi
Réponses : 35

Pourquoi pas Wine? Pasque Wine ne supporte tout simplement pas l'USB.

#16 Re : -1 »  i phone » Le 09/09/2008, à 03:45

dranfi
Réponses : 35

Pour la connection SSH par USB il y a iPhone Tunnel, mais pour     .... Windows uniquement (grrr). Sinon, pour le wifi, pas besoin forcément besoin d'un routeur (si tu as une carte wifi, tu peux faire une connection ad-hoc (il faut configurer les IP à la main : IP 192.168.xx, masque 255.255.255.0 ou 255.255.255.255 sur l'ordinateur et l'iPhone). Pour SuperMonkeyBall, tu peux soit l'acheter via l'AppStore (le temps que t'es sur le PC Windows, tu te fais un compte iTunes, tu l'achètes et tu synchronise, soit si tu l'as dl, tu peux suivre les inctructions utilisant iTunes, soit renommer le fichier ipa en zip que tu décompresse et tu envoie le dossier "Monkey Ball.app" dans /Applications et tu mets les autorisations appropriées. Pour le dl d'Applications AppStore je te conseille le forum Prox. P.S. : Pour les Applis AppStore, il faut le firmware 2.0.x (ce qui ne peut pas être ton cas si tu as utilisé iLiberty+. Regarde du côté de WinPwn ou QuickPwn (cf posts précédents). En fait les Applis 1.x et 2.x sont incompatibles.
Si tu te demandes pourquoi je postes à ces heures (tard dans la nuit), c'est que je suis au Texas, et c super tongue

#17 Re : -1 »  i phone » Le 10/09/2008, à 03:22

dranfi
Réponses : 35

"J'ai pas de Wifi et je tourne sur linux." -> Peut-être que ta carte wifi n'est pas bien reconnu.
"ca sert une clé wep ??" : ça sert à sécuriser les réseaux wifi (à encrypter, de façon que personne d'autre ne se connecte sur le réseau), il y a aussi le WPA (le WEP est facile à casser, le WPA, pratiquement incassable).
"un programme sur iphone permettait de casser les cle wep" : Oui et non : on peut compiler la suite aircrack-ng ( http://doc.ubuntu-fr.org/aircrack-ng et http://www.aircrack-ng.org/doku.php et http://www.tuto-fr.com/tutoriaux/tutori … rcrack.php) sur l'iPhone, mais on a la même limitation que sur Mac OS X : on ne peut pas utiliser airmon-ng et airodump-ng (ce qui fait qu'on ne peut pas "sniffer" les réseau), ce qui est indispensable pour casser une clé WEP, mais on peut envoyer ces fichier sur l'iPhone et utiliser aircrack-ng pour effectivement casser la clé WEP.
"En fait mon petit souci c'est que Cydia est vierge" : et Installer? Les packages que tu recherches sont certainement sur Installer.
"Je comprends mieux pourquoi les liens que tu m'as envoyé étaient en anglais." : Aucun rapport avec le fait que je sois aux USA, mais simplement que je t'ai donné les sites des hackers de l'iPhone, et ils rédigent en anglais pour être compris par le plus grand nombre.
"Au fait je suis en toujours en 1.1.3." : je te conseille de passer en 1.1.4  (même chose que le 1.1.3 avec des corrections de bugs) ou 2.0.2 (même que 2.0.2 avec correction de bugs, de plus le jailbreak et les applis sont faites our le 1.1.4, pas le 1.1.3, bien que ceux-ci soient très similaires). Désormais une très grande partie des applis 1.1.4 ont étés portés sur le firmware 2.x.
Quand au Texas : je suis un étudiant/lycéen français, bachelier (série S; inscrit à l'ISEN-Toulon) passant une année scolaire dans un lycée américain (je n'ai d'aileurs pas choisis le Texas, mais les USA et l'organisme à choisi pour moi), je vis dans une famille d'acueil très sympas et c'est vraiment super. Voilà.

#18 Re : -1 »  i phone » Le 11/09/2008, à 02:22

dranfi
Réponses : 35

Cydia est le portage de apt-get (avec une interface iPhone) que nous avons dans Ubuntu et Debian; Installer est lui aussi un gestionnaire de paquet, mais dont la fonction principale est de décompresser des fichiers zip dans le dossier /Applications sans se préocuper des dépendances. Techniquement Cydia est avancé et Installer est du "bricolage", mais dans la pratique, les deux sont fiables et complémentaires. Sur mac il n'y a pas de gestionnaire de paquet (bien qu'on peut installer Mac Ports (sorte de mini-gentoo sur mac) et fink (portage de apt-get)), en général on copie/colle les les dossiers des applications dans le dossier /Applications (très simple tongue).
Quand aux MAJ : effectivement, n'importe quelle MAJ rebloquera ton iPhone.
Un petit mot sur le désimlockage : si ton iPhone viens des USA, tu auras besoin de le désimlocké, si tu utilise un autre opérateur qu'Orange tu auras besoin de le désimlocké (sauf si ton iPhone a été désimlocké officielement par Orange).
Un petit mot sur l'activation : Après les MAJ/restorations, l'iPhone demandera d'être connecté à iTunes pour être activé, et tu ne pourras rien faire à part recevoir des appels/texte et émettre un appel d'urgence. Pour l'activer, il faut que tu connectes à iTunes et que tu suive la procédure d'activation. Attention, il te faudra une carte Sim associée à un abonnement iPhone ou avoir un iPhone officiellement désimlocké (qui acceptera n'importe quelle carte Sim).
Quand aux FW 1.1.4 ou 2.0.2, je peux te dire que plus aucune applis est développé sur 1.1.4 et que les devs s'intéresse au 2.x, que la pluspart des applis 1.1.4 ont étés portés sur 2.x via AppStore, cydia et Installer et que de nombreuses (des milliers, gratuites et payantes) ont étés crés et dispos sur AppStore. Par contre sur le 2.x, je crois que la compatibilité linux disparait (car Apple a changé sa base de donnée), et il faut iTunes 7.7.x .Voilà

P.S. : "Juste, dis moi, les americains ,en vrai , ils sont pas comme dans les films ??"
Oui et non. C'est difficile à dire.

#19 Re : -1 »  i phone » Le 12/09/2008, à 01:58

dranfi
Réponses : 35

"tu me conseilles de mettre à jour en 2.0.2 et de me prendre un abonnement chez sfr ou orange" : non je te conseille de passer en 1.1.4 ou 2.0.2 (selon que tu veuille mettre de la musique dessus via ubuntu ou non). Sinon je ne sais pas si tu veux t'en servir pour téléphoner, quel est ton opérateur; à toi de savoir si tu as besoin de désimlocker ou non, si tu as besoin ou non de contourner l'activation.
"la meme carte sim peut servir pour [activer] plusieurs iphone." : vrai, si elle associé à un abonnement iPhone.
Pour le wifi met sur "DHPC" : c'est le moyen de se connecter automatiquement.
Sinon je risque de ne pas répondre pendant quelques jours car on va bientôt se recevoir un Ouragan/Cyclone sur la tête dans un jours au Texas.
++

#20 Re : -1 »  i phone » Le 12/09/2008, à 21:25

dranfi
Réponses : 35

Comment je sais tt ça : je suis l'actualité de l'iPhone jours après jours sur iphon.fr et frenchiphone.com depuis noël (quand j'ai reçu mon iPhone) et je bidouille sur linux et mac depuis 1 an.
Sinon merci de m'encourager.
(l'ouragan va frapper dans quelques heures maintenant).

#21 Re : -1 »  i phone » Le 14/09/2008, à 22:52

dranfi
Réponses : 35

Le 2.1 est sorti entre temps est n'est pas jailbreakable sous windows. Je ne sais pas ou iTunes (windows) stocke les firmwares téléchargés (de cette manière tu peux savoir quel firmware est installé.
Ce que je te conseille c'est de passer iTunes en 7.7.1 ou 7.6 selon que tu veux le 2.0.2 ou le 1.1.4 (si inférieur fais la MAJ, si supérieur désinstalle "mobile device support" et itunes puis réinstalle iTunes 7.7.1 que tu trouveras ici : http://www.filehippo.com/download_itune … 49140b5ea/ ou iTunes 7.6 :  http://www.filehippo.com/download_itunes/download/51fa580b767a54129aaa9893bf3faa96/ 
Installe iTunes 7.6 si tu veux utiliser le firmware 1.1.4 ou iTunes 7.7.1 pour le firmware 2.0.2
Ensuite passe ton iPhone en mode dfu, tuto ici : http://worldissmall.fr/2008/07/25/tuto- … -recovery/ puis installe le firmware 2.0.2 http://appldnld.apple.com.edgesuite.net … store.ipsw ou le firmware 1.1.4 : http://appldnld.apple.com.edgesuite.net … store.ipsw. Restore alors sur l'un de ces firmwares en appuyant sur shift tout en cliquant sur restorer afin de choisir ton firmware.
Ensuite regarde mes précédents posts et utilise Iliberty+ pour le jailbreak du 1.1.4 ou QuickPwn pour le jailbreak du 2.0.2. Suite à ça, lance une première synchronisation pour initialiser la base de donné pour la musique. Je crois que linux ne peut toujours pas synchroniser de musique sur les 2.x

P.S.: Mon ouragan est passé mais ma maison est intacte, mais ça et j'ai de nouveau l'électricité mais ça fait bizzare de voir les dégats.

#22 Re : -1 »  i phone » Le 15/09/2008, à 06:57

dranfi
Réponses : 35

Tu peux downgrader en 2.0.2 en suivant le tuto que je t'ai passé (dfu).

#23 Re : -1 »  [info] Reconnaissance de système de fichier » Le 10/09/2008, à 03:28

dranfi
Réponses : 2

Ubuntu reconnait le hfs+ non journalisé en lecture/écriture et le journalisé en lecture seule. Le seul problème est les autorisations : Les UID et GID sont différents sur MAC OS X et Ubuntu, par défaut, il faut être root pour accéder à ses dossiers personnels (de Mac os x depuis Ubuntu), mais le problème peut être réglé en changant le gid et uid de l'utilisateur Mac Os x (de façon à avoir le même sur os x et ubuntu), puis en lançant "chown -R /users/utilisateur/*" et "chown -R /users/utilisateur/.*" Voilà en simplifié.

#24 Re : -1 »  MulitBoot macIntel From Scratch. » Le 19/08/2008, à 21:14

dranfi
Réponses : 15

Pour pouvoir utiliser rEFIt, il faut bien un MBR, et il faut installer GRUB quelque part. Donc il faut avant tout synchroniser le GPT et le MBR; mais dans le stricte cadre de Bootcamp, il n'y a pas de problèmes de synchronisation.